Merge remote-tracking branch 'origin/1.19.2' into 1.19.4

This commit is contained in:
embeddedt 2023-06-11 20:46:55 -04:00
commit 826694793c
No known key found for this signature in database
GPG Key ID: A69433EC199B5613
3 changed files with 74 additions and 0 deletions

30
.github/workflows/release.yml vendored Normal file
View File

@ -0,0 +1,30 @@
name: release-artifacts
on:
release:
types:
- published
jobs:
build:
runs-on: ubuntu-latest
steps:
- uses: actions/checkout@v2
with:
fetch-depth: 0
- uses: actions/setup-java@v3
with:
distribution: 'temurin'
java-version: '17'
- name: Grant execute permission for gradlew
run: chmod +x gradlew
- name: Build and publish mod to CurseForge & Modrinth
run: ./gradlew forge:publishToModSites fabric:publishToModSites
env:
CURSEFORGE_TOKEN: ${{ secrets.CURSEFORGE_TOKEN }}
MODRINTH_TOKEN: ${{ secrets.MODRINTH_TOKEN }}
- name: Upload assets to GitHub
uses: AButler/upload-release-assets@v2.0
with:
files: 'bin/*'
repo-token: ${{ secrets.GITHUB_TOKEN }}

44
scripts/propagate.sh Executable file
View File

@ -0,0 +1,44 @@
#!/bin/bash
set -e
WORK_DIR=`mktemp -d`
# deletes the temp directory
function cleanup {
cd $HOME
rm -rf "$WORK_DIR"
}
trap cleanup EXIT
# clone ModernFix repo
echo "downloading temporary modernfix..."
cd $WORK_DIR
git clone https://github.com/embeddedt/ModernFix mfix &>/dev/null
cd mfix
# gather version list
readarray -t all_versions < <(git ls-remote --heads origin | awk '{print $2}' | sed 's:.*/::' | sort -V)
echo "found versions: ${all_versions[@]}"
# checkout base version
git checkout -b propagations/${all_versions[0]} origin/${all_versions[0]} &>/dev/null
our_version=${all_versions[0]}
restore_version=$our_version
for version in "${all_versions[@]}"; do
if ! { echo "$version"; echo "$our_version"; } | sort --version-sort --check &>/dev/null; then
echo -n "merging $our_version into ${version}... "
git checkout -b propagations/$version origin/$version &>/dev/null
if git merge -m "Merge $our_version into $version" propagations/$our_version >/dev/null; then
echo "done"
git push -u origin propagations/$version:$version &>/dev/null
else
echo "failed, this merge must be done manually"
exit 1
fi
our_version=$version
fi
done